Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Thread_Exit.h File Reference

`#include "ace/config-all.h"`
`#include "ace/Thread_Control.h"`

Include dependency graph for Thread_Exit.h:

This graph shows which files directly or indirectly include this file:

## Classes
class | ACE_Thread_Exit
| Keep exit information for a Thread in thread specific storage. so that the thread-specific exit hooks will get called no matter how the thread exits (e.g., via <ACE_Thread::exit>, C++ or Win32 exception, "falling off the end" of the thread entry point function, etc.). More...
class | ACE_Thread_Exit_Maybe
| A version of ACE_Thread_Exit that is created dynamically under the hood if the flag is set to TRUE. More...

## Detailed Description

Id
  Thread_Exit.h,v 4.8 2005/10/28 23:55:10 ossama Exp

Author:
  Carlos O'Ryan <coryan@uci.edu>